﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Linq;
using System.Text;
using System.Threading.Tasks;


namespace DataEntity
{
    [Table("Materialy")]
    public class Material : BaseModel
    {
        [Key]                      // primarni klicnik
        [Column(Order = 1)]        // poradi
        public int MaterialId { get; set; }


        [Required (ErrorMessage = "Název je povinný")]
        [StringLength(50, ErrorMessage = "Název je omezen na 50 znaků.")]
        public string NazevMat { get; set; }

        [Required(ErrorMessage = "Pojistné množství je povinný údaj")]
        [Range (0,int.MaxValue, ErrorMessage = "Zadejte kladné číslo")]
        public int MnozPoj { get; set; }

        [Required(ErrorMessage = "Množství do palety je povinný údaj")]
        [Range(0, int.MaxValue, ErrorMessage = "Zadejte kladné číslo")]
        public int MnozDoPol { get; set; }

        public string Komentar { get; set; }

        [Required(ErrorMessage = "Datum je povinný údaj")]
        [Column(TypeName = "date")]
        public DateTime Datum { get; set; }

        public int MernaJednotkaId { get; set; }

        [ForeignKey (nameof(MernaJednotkaId))]
        public virtual MernaJednotka MernaJednotka { get; set; }

    }
}
